body.home
  .hero
    background $blue_light

    &__img
      display block
      margin 0 auto
      padding 24px 32px
      width 100%
      max-width 500px

    &__left
      display flex
      align-items center

      &__container
        max-width 480px
        margin 0 auto
        text-align center

    &__title
      font-size 2.5rem
      margin 1rem auto

    &__text
      font-size 1.5rem
      line-height 1.25

    &__form
      display flex
      justify-content center

    &__input
      border-right none
      border-width 0
      border-radius 16px 0 0 16px
      height auto
      padding 4px 8px 4px 16px
      width 240px

      &:focus
        outline none

    &__btn
      border-radius 0 16px 16px 0
      border-width 0
      height auto
      padding 8px 24px

      &:hover
        background lighten($black_light, 8)
        color white

  .slide
    background: url('/img/ola-gotas-pines.png') $green_dark center right
    background-repeat no-repeat
    min-height 400px
    padding 24px 0

    &__title
      color white
      font-size 2.5rem
      margin 1rem auto

    &__text,
    &__text__mobile
      color white
      font-size 1.5rem
      line-height 1.25

    &__text__mobile
      display none

    &__btn
      background $black
      color white
      padding 8px 32px
      margin 16px 0 32px

      &:hover
        background lighten($black_light, 8)
        color $white

  .about_us
    position relative

    &__absolute
      &__left
        background $green
        position absolute
        height 100%
        width 50%
        z-index -1

      &__right
        background $green_light
        margin-left 50%
        position absolute
        height 100%
        width 50%
        z-index -1

    &__waves
      background-image url("/svg/ola-izquierda.svg") , url("/svg/ola-derecha.svg")
      background-position left center, right center
      background-repeat no-repeat
      background-size auto 240px
      padding 72px 0
      width 100%
      height 100%

    &__left,
    &__right
      display flex
      align-content center
      justify-content center

    &__right
      display flex
      flex-direction column
      padding-left 96px

    &__img
      object-fit contain

    &__title
      color black
      font-size 2.5rem
      margin 0 0 .5rem

    &__subtitle
      color #0FAFA2
      font-size 2.5rem
      margin 0 0 1rem

    &__text
      max-width 480px
      line-height 1.25
      font-size 1.5rem
      font-weight 500

    &__button
      width 180px
      background $black_light
      color white
      font-weight 600
      margin-top 24px

      &:hover
        background lighten($black_light, 8)
        color $white

  .products
    &__title
      font-size 2.5rem
      font-weight 700
      padding 16px
      text-align center

    &__item
      padding 16px
      text-align center

      &__title
        font-size 1.75rem
        font-weight 700
        margin 24px 0 16px
        text-transform uppercase

      &__text
        margin 0 0 32px
        padding 0 16px

    &__img
      border-radius 8px
      max-width 100%
      display block
      margin 0 auto

  .newsletter
    width 100%
    background $yellow

    &__container
      padding 64px 0
      display flex
      align-items center
      justify-content center
      flex-direction column
      text-align center

    &__title
      font-size 2rem
      letter-spacing 1px
      line-height 1.25
      margin 0 auto

    &__text
      font-size 1.5rem
      line-height 1.5
      margin 2rem auto

    &__input
      background white
      border-width 0
      border-radius 16px 0 0 16px
      color $black
      display inline
      font-size 1rem
      font-weight 500
      height 40px
      letter-spacing .5px
      padding 0 16px
      width 320px

      &:hover,
      &:focus
        outline none

      &::placeholder
        color $gray_light

    &__button
      border-radius 0 16px 16px 0
      background $gray
      border-width 0
      color white
      display inline
      height 40px
      letter-spacing 2px
      font-weight 500
      font-size 1rem
      padding 0 16px

      &:hover,
      &:focus
        background lighten($black_light, 8)
        color $white
        cursor pointer

@media screen and (max-width $widescreen)
  body.home
    .hero__title,
    .slide__title,
    .about_us__title,
    .about_us__subtitle,
    .products__title
      font-size 2.25rem

    .hero__text,
    .slide__text,
    .about_us__text
    .newsletter__text
      font-size 1.4rem

    .slide
      background-size 56% auto


@media screen and (max-width $desktop)
    .slide
      background-size 45% auto

    .about_us
      &__waves
        background-position left bottom, right top


@media screen and (max-width $tablet)
  body.home
    .hero__title,
    .slide__title,
    .about_us__title,
    .about_us__subtitle,
    .products__title
      font-size 2rem

    .hero__text,
    .slide__text,
    .about_us__text
    .newsletter__text
      font-size 1.25rem
      line-height 1.5

    .slide
      background-size 50% auto
      padding 16px 0

      &__img
        width 320px

    .about_us
      &__waves
        padding 48px 0

      &__right
        padding-left 32px

      &__waves
        background-size auto 180px

@media screen and (max-width $mobile)
  body.home
    body.home
    .hero__title,
    .slide__title,
    .about_us__title,
    .about_us__subtitle,
    .products__title,
    .newsletter__title
      font-size 1.8rem

    .hero__text,
    .slide__text__mobile,
    .about_us__text
    .newsletter__text
      font-size 1.1rem
      line-height 1.5

    .hero
      &__container
        padding 1rem 1rem 4rem

      &__title
        margin 0 auto 1rem
        max-width 90%

      &__img
        padding 0

      &__input
        width 180px

    .slide
      background url('/img/ola-pines-mobile.png') $green_dark bottom right
      background-repeat no-repeat
      background-size 140px

      &__text
        display none

        &__mobile
          display block

      &__img
        display none

      &__btn
        margin 16px 0 8px

    .about_us
      &__absolute__left,
      &__absolute__right
        display none

      &__waves
        background-image url(/svg/ola-derecha.svg)
        background-position bottom right
        padding 0

      &__container
        padding 0

      &__columns
        margin 0

      &__left
        background $green
        padding 2.5rem .75rem

      &__right
        background url("/svg/ola-derecha.svg") $green_light
        background-position bottom 110px right
        background-repeat no-repeat
        background-size 120px
        padding 48px 64px 48px 40px

      &__text
        max-width 80%

      &__img
        width 80%

    .products
      &__img
        max-width 80%

    .newsletter
      &__title
        max-width 90%

      &__text
        max-width 80%

      &__input
        border-radius 16px 0 0 16px
        font-size 1rem
        width 200px

      &__button
        border-radius 0 16px 16px 0
        font-size 1rem
        padding 0 24px

@media screen and (max-width $mobile_small)
  body.home
    .slide
      background-size 140px
      padding 16px 24px

      &__left
        padding 8px 0
        width 65% !important

    .newsletter
      &__input
        width 160px